json_c_version.h File Reference

Methods for retrieving the json-c version. More...

## Macros

#define | JSON_C_MAJOR_VERSION 0
#define | JSON_C_MINOR_VERSION 18
#define | JSON_C_MICRO_VERSION 0
#define | JSON_C_VERSION_NUM ((JSON_C_MAJOR_VERSION << 16) | (JSON_C_MINOR_VERSION << 8) | JSON_C_MICRO_VERSION)
#define | JSON_C_VERSION "0.18"
#define | JSON_EXPORT extern

## Functions

JSON_EXPORT const char * | json_c_version (void)
JSON_EXPORT int | json_c_version_num (void)

## Detailed Description

Methods for retrieving the json-c version.

## Macro Definition Documentation

## JSON_C_MAJOR_VERSION

#define JSON_C_MAJOR_VERSION 0

## JSON_C_MICRO_VERSION

#define JSON_C_MICRO_VERSION 0

## JSON_C_MINOR_VERSION

#define JSON_C_MINOR_VERSION 18

## JSON_C_VERSION

#define JSON_C_VERSION "0.18"

## JSON_C_VERSION_NUM

#define JSON_C_VERSION_NUM ((JSON_C_MAJOR_VERSION << 16) | (JSON_C_MINOR_VERSION << 8) | JSON_C_MICRO_VERSION)

## JSON_EXPORT

#define JSON_EXPORT extern

## Function Documentation

## json_c_version()

JSON_EXPORT const char * json_c_version | ( | void |  | ) |

See also
  JSON_C_VERSION

Returns
  the version of the json-c library as a string

## json_c_version_num()

JSON_EXPORT int json_c_version_num | ( | void |  | ) |

The json-c version encoded into an int, with the low order 8 bits being the micro version, the next higher 8 bits being the minor version and the next higher 8 bits being the major version. For example, 7.12.99 would be 0x00070B63.

See also
  JSON_C_VERSION_NUM

Returns
  the version of the json-c library as an int